<?php
/**
* Returns word count of the sentences.
*
* @since @since Moment 1.0.0
*/
if ( ! function_exists( 'moment_words_count' ) ) :
	function moment_words_count( $length = 25, $moment_content = null ) {
		$length = absint( $length );
		$source_content = preg_replace( '`\[[^\]]*\]`', '', $moment_content );
		$trimmed_content = wp_trim_words( $source_content, $length, '...' );
		return $trimmed_content;
	}
endif;